void labels()
  {
    // DEWEY LIST
    textFont(fontMain);
    textAlign(LEFT);
    for (int q = 0; q < numColumns; q++)
    {
      color labelFill = color(tickColor);
      float current_text_width = (textWidth(deweyNames[q]) + 5) * 1.25;

      if (hoverTextSwitch == q) {
        labelFill = color(colorHighlight);
        stroke(colorHighlight);

      }
      fill(labelFill);
      textFont(fontHeader2);
      textLeading(14);
      text(deweyNames[q], marginX, marginY + (q * rowSpacing) + 160);
      
      textFont(fontSubtitle);
      text("63" + q, marginX, marginY + (q * rowSpacing) + 145);

      fill(255,0);
      strokeWeight(1.5);
      rect(marginX - 5, marginY + (q * rowSpacing) + 130, current_text_width, 40);
      noStroke();
    }

    // TITLE
    fill(textColor);
    textFont(fontHeader);
    textAlign(LEFT);
    text("Urban Agriculture in Seattle", marginX, marginY + 40);
    
    textFont(fontHeader2);
    text("Month-by-month popularity reflects seasonal change", 
          marginX, marginY + 58);

    // TOGGLE
    textSize(12);
    textAlign(LEFT,CENTER);
    text("SORT",width-marginX-105,marginY+127);    
    text("DEWEY NUM.",width-marginX-55,marginY+152);
    textAlign(RIGHT,CENTER);
    text("NUM. OF CHECKOUTS",width-marginX-125,marginY+152);


	}